Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Debian Local Security Checks >> [DSA1075] DSA-1075-1 awstats


Vulnerability Assessment Details

[DSA1075] DSA-1075-1 awstats

Vulnerability Assessment Summary
DSA-1075-1 awstats

Detailed Explanation for this Vulnerability Assessment

Hendrik Weimer discovered that awstats can execute arbitrary commands
under the user id the web-server runs when users are permited to supply
arbitrary configuration files. Even though, this bug was referenced
in DSA 1058 accidentally, it was not fixed yet.
The new default behaviour is not to accept arbitrary configuration
directories from the user. This can be overwritten by the
AWSTATS_ENABLE_CONFIG_DIR environment variable when users are to be
trusted.
The old stable distribution (woody) does not seem to be affected by
this problem.
For the stable distribution (sarge) this problem has been fixed in
version 6.4-1sarge3.
For the unstable distribution (sid) this problem has been fixed in
version 6.5-2.
We recommend that you upgrade your awstats package.


Solution : http://www.debian.org/security/2006/dsa-1075
Network Security Threat Level: High

Networks Security ID:

Vulnerability Assessment Copyright: This script is (C) 2007 Michel Arboi

Cables, Connectors

HP PROLIANT DL560 G8 SERVER FOUR E5-4657LV2 2.4GHZ 32GB 4 X 1.6TB SSD
$10749.0
HP PROLIANT DL560 G8 SERVER FOUR E5-4657LV2 2.4GHZ 32GB 4 X 1.6TB SSD pictureDELL POWEREDGE R730XD SERVER E5-2660V4 2GHZ 128GB 6 X 600GB 15K 12G H730
$5309.0
DELL POWEREDGE R730XD SERVER E5-2660V4 2GHZ 128GB 6 X 600GB 15K 12G H730 pictureHPE HP DL380 G9 Gen9 SERVER TWO E5-2609V3 1.9GHZ 288GB NO HDD
$6369.0
HPE HP DL380 G9 Gen9 SERVER TWO E5-2609V3 1.9GHZ 288GB NO HDD picture


Discussions

No Discussions have been posted on this vulnerability.